## kblayout-status 0.2-5

=== Makefile ===
PACKAGE=kblayout-status
PLUGIN=status-area-kblayout
VERSION=0.2

ICONS = ch cz dano de fise fr it pl ptes ru us en

DESTDIR ?= /
CC=gcc

LIBRARIES=gconf-2.0 hildon-1 gtk+-2.0 libosso gdk-2.0 gconf-2.0 gnome-vfs-2.0 libhildondesktop-1
EXTRA_LIBRARIES=gstreamer-0.10 libebook-1.2 alarm bluez libgwobex osso-gpsd  osso-addressbook-1.0 gpsbt

LDFLAGS=`pkg-config --libs $(LIBRARIES)`

CFLAGS= -Wall -pedantic `pkg-config --cflags  $(LIBRARIES)`
EXTRA_CFLAGS= -Wall -pedantic  `pkg-config --cflags $(LIBRARIES) $(EXTRA_LIBRARIES)`
EXTRA_LDFLAGS=`pkg-config --libs $(LIBRARIES) $(EXTRA_LIBRARIES)`

CDEBUG=-g

ifdef DEBUG
CFLAGS += $(CDEBUG)
LDFLAGS += $(CDEBUG)
endif

all: $(PLUGIN).so

$(PLUGIN).so: kblayout_status_menu_item.o
	$(CC) -shared  -Wall `pkg-config --cflags libhildondesktop-1` `pkg-config --libs libhildondesktop-1` -o $@ $<

install:
	mkdir -p $(DESTDIR)/usr/lib/hildon-desktop
	cp status-area-kblayout.so $(DESTDIR)/usr/lib/hildon-desktop/
	mkdir -p $(DESTDIR)/usr/share/icons/hicolor/18x18/hildon
	for lang in $(ICONS) ; \
	    { cp data/langs/$$lang.png $(DESTDIR)/usr/share/icons/hicolor/18x18/hildon/status-area-kblayout-$$lang.png ; }
	mkdir -p $(DESTDIR)/usr/share/applications/hildon-status-menu
	cp data/status-area-kblayout.desktop $(DESTDIR)/usr/share/applications/hildon-status-menu/

clean:
	-rm -f *.o *.so build-stamp configure-stamp
	-rm -rf debian/files debian/$(PACKAGE) debian/$(PACKAGE).debhelper.log debian/$(PACKAGE).substvars debian/$(PACKAGE).tarlist

deb:
	mad dpkg-buildpackage -d

## kblayout-status 0.2-3

=== debian/changelog ===
kblayout-status (0.2-3) unstable; urgency=low

  * Fixes to use Garage builder

 -- Emil Biserov <biserov@gmail.com>  Fri, 22 Feb 2010 21:09:16 +0300

kblayout-status (0.2-2) unstable; urgency=low

  * Package fields updated.
  * Handle hardware keyboard layout type changes to display valid state.

 -- Emil Biserov <biserov@gmail.com>  Fri, 19 Feb 2010 21:34:16 +0300

kblayout-status (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Emil Biserov <biserov@gmail.com>  Fri, 19 Feb 2010 21:34:16 +0300

=== debian/control ===
Source: kblayout-status
Section: user/desktop
Priority: optional
Maintainer: Emil Biserov <biserov@gmail.com>
Build-Depends: debhelper (>= 4.1.0), pkg-config (>= 0.18), libhildon1-dev, libgtk2.0-dev, libglib2.0-dev, libhildondesktop1-dev, libgconf2-dev, libosso-dev
Standards-Version: 3.7.2

Package: kblayout-status
Architecture: any
Depends: ${shlibs:Depends}, libhildon1 (>=2.1.29), libosso1 (>=2.0), libhildondesktop1 (>=2.1.0), hildon-status-menu
Description: Status Icon plugin to display current keyboard layout status
 for Nokia N900 internal hardware keyboard.
XB-description-ru_RU: Иконка для статус-области отображающая текущее состояние расскладки
 аппаратной клавиатуры Nokia N900.
XB-Maemo-Display-Name: Keyboard Layout Status Icon
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAAAA
 AAAA+UO7fwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9oCExIwHJP4I1oAAAn2SURBVGje
 7ZlbbBzlFcd/3zcze8najm28vtQxtrObC+TmXHDihECghT70oTw0DeXSglCRABVF5YEiVcJ9i7BD
 JSsPRMoDESqoisQDahJye6lIoUhFKiQ4sWOTkDgma69jx/aandmZ04fuTneT9S1JlVbKkUbzne96
 /uc758z5voG7dJfu0l26S7dA6nZN1N7eHli4cOGCsbGxVHt7u31HAYiITDtAKX/Mrl27VliW9ZiI
 rAIMEUkqpZSIXNNad4vIP1977TUBPlJKLSsyrwckgWPAb5RSI/MFYN4M6rfffjssIm8CS5VS+y3L
 +tOrr746lGvv6OiIAHFgY09Pz09qamo+bW9vL7aWBqLAU4ABPHlbtkWyNI2plOzevftD+Q/9XES6
 RSQtIp+LyOr8/o7j/O2zzz57vaOj45ncgPb2dp1dxxCRH2arx9vb282urq5gsfWnk0nPF1xJScku
 Efk8r+rPwHIgADwA7MtbtMI0zfjGjRt3B4PBj/Lm+PFbb721Ze/evS39/f2NAK7rJoLBYGkwGPRu
 2w4Uo46OjoPbt2838qqOishCEXk6y3+fN89TIvL+XOZ1XfeVmbQ9k1XMC0BnZ+eD1/VZkuVv2HoR
 eV9EfjHLvL0i8tRMwoqIvikA+XUdHR2rOzs7TxURRhcbJyKmiCREpLzYGBFpE5EREfGyAaGYAgNZ
 vvqWfUBr/biIHCkSVqez2QeB00qp0WJjlFKfAr/OhvJ2EXk6r8tU9v1TEYkAf7htPjBXOxWR3SLy
 29l2VkRyEW1UROqydZ9ct6x323xgHgB6RGTpHAAsEpHxbNOH2boV2ZCczvrIr+YFoBh1dnYOd3V1
 Rf9vcqGXXnqpw3XdVzKZTPhOCRcIBM5kMpln9u3b9495AXj++ecfbm5u/ssbb7xRYppmMRObtW4m
 Plee7p39sHHu3DneeeedZDKZ/MGBAwfsOedCoVDoySeeeCLiOA6jo4VBxPM8RMR/55eL1d1sX6UU
 sViM5cuXB0+dOvVwNuFjTmFUa/3IokWLlOM4BVrzPM9/8vnrBZupnHv6+g4zOPg7Rkb+iIjH+fNH
 GBr6PePje/A8l0wmw9jYGEuWLAkB6+ecjb744osLHMdpLi0tZXBwkKGhIUSEUCiEaZqMj48DEA6H
 UUoxMTGRs1e01qRSKQAsywLAtm1EBMMwCIfDPphI5BJr1njAdwwMjBKJXGbtWgGucP78GI5TSiqV
 oqamxgwEAluBXXMC4Lruhvvvvz8tIoGBgQEaGhoAuHjxIiLCvffeC0B/fz+GYdDY2AhAX18fhmHQ
 1NQEwLlz59Bas3jxYgB6e3sJBoO+qVRV7WB4+BOUKsdxSqis/BmJxElEFuI4JXieRyqVorq6Gs/z
 1sznPNC2bt26UCaTYWhoiFOnTqGUwnEcysrK+Prrr3NfUwKBAN3d3b6JBQIBzpw54/uKZVn09PQA
 kMlkaG1tzbP3EJOTj/qAXDfAtWvbCvwhlUqxYMECgOpnn3028t57703OCiAcDj/e3Nxs2bbNsmXL
 SKVSaK2pq6sjEonQ3d2N1pqmpia01pw9exbDMGhoaMAwDHp7ezEMg0WLFqGUoq+vD8uyaGxsLOrA
 1wcHpVSBz0xNTVFfX/99f3//SuDvswJwHOeBqqoqUqkUpaWlNDY2+mbU19dHc3Ozb0a9vb3EYjHf
 jHp6eojH474ZnTlzhqVLl9Lc3AxAd3c3ZWVlvoCu69Lc3IyIcPr0aSKRiM9/+eWXWJbF5OQkDQ0N
 1vnz51tmBfDCCy/Ey8vLDdM0cRwHEWFgYADXdREREolEgbYSiYSvMRHhypUraK19k0okEmit/T5X
 rlyhpKTE7z80NOQ79ujoKJOTkwX8Pffck3PkkGEYbcDeGQF4nrdp3bp1vvCe56GU4uOPPwZg8+bN
 TExMcPjwYZRStLa2Mjk5yaFDh1BKsWHDBp8HWLt2LalUioMHDwKwZs2aAhP69ttvOXnypN92+fJl
 Tp48iVKKlStX+n5QUVGB1rp1VicOhUI/isfjC2zb5uLFizQ0NNDa2kp1dTVaaxobGxERqqurMU2T
 pqYmRISamhosy/K3v7a2FsuyiMViiAh1dXUEAgHi8bhvLuFwmJaWFlavXu2Dqq2tZcWKFQU+kItE
 mUwmtn37duPAgQPutAC01g/V1dVh2zbJZJKysjI8zyOZTGIYBuXl5Xiex8jICJZlUVFRUcBXVlbi
 eR5Xr17FsizGxsZ8PhgM3sDnTCkSiRCNRnEch56eHkzTLHB013UpLy93PM+LA2eLAnj55ZdLPM+r
 Ly0tZWRkhOHhYY4cOYJSiq1bt5JMJjl69ChKKdra2gr41tZWhoeHOX78OEop1q9fz+TkJCdOnEAp
 RUtLC4lEwudXrVpVYEo5kxURpqamiEQiBe1TU1PU1dVJMplsmRZAOp3euGrVqnQmkwm4rsvWrVvZ
 smVLQY7S1tZWMHF+XPc8j/Xr1xe0t7S0FLTnC55ff+jQIf+LvmnTphtyo1QqRTQaXWAYxgPZW5Ab
 ASiltt53331h27YZHByktrYWrTWXLl3CdV0/VM6VLly4gG3bLF68GMMwuHz5sq9px3GIxWJorfnm
 m2/Ytm1bgX/U19dTXl6Obdt89dVXTE1NUVFRoQ3D2DytEweDwcfq6+vNdDrN6OgoNTU1AFy9enXa
 FHomsm2ba9eu+ZpMp9MopXyN5uacmpoq0PjExASZTMbXfjqdJhgM5vxvxXQAVCaTaYlGo0xMTJBI
 JPzQ2dLSwvj4OCdOnJgXAK01bW1t7NmzJ3eZxaOP/jt1GBsbo6urC4BoNEooFOL48eMAxGIxvvji
 C2zb9kOz4zgEg0EMwwg899xzte++++53BQeaHTt2rIvH43/duXNnZGRkxNeMiGBZlq+J61OB/I/a
 9Sm1UgrDMLBtG9d1MQzD17qIYNs2nuehtS5wZMMwcF3Xb8t9GKPRKMeOHRvv6+v75QcffPBR9mIY
 DUSAh5YtW2bkJs0lYpZl+QvmeMuyCAQCWJaFaZr+O79sWRZaazzPwzAMcqe6fAfWWheAMgzDB6O1
 xjRNX/hskKGqqioMtAKlOesxgXAkEnmksbExlK/l6U5Ps52qbuVUNhM5jkNlZaUZDoc3A2HABSZM
 wLQsq7Wmpsbf6vzMMGcO12eQ+e35Dq61xnXdouWc9nO5Ua4utwMzBQvP8ygrK0NrvTyreBMwzKwt
 BUdGRqioqCjQ9HST5f3jKDCVnBbzy6Zp4rpuwZhi6fNsB/5MJsOFCxc8z/MuZmX2AM8E0olEYuf+
 /fvfzN4yq/n+erqV+6Z5rOG5rnu6u7v7dSAN2ICo7J+RCBDKPsHs9ijAusP3Vm5W025W4HT23jSV
 LRdo2soKb2VB6Zv9BfVfApDJAyFz+UuZ2507STlbv0v/s/QvGC+ubuufafIAAAAASUVORK5CYII=

## kblayout-status 0.2-4

=== debian/changelog ===
kblayout-status (0.2-4) unstable; urgency=low

  * Fixes to use Garage builder

 -- Emil Biserov <biserov@gmail.com>  Fri, 22 Feb 2010 21:09:16 +0300

## kblayout-status 0.2-5

=== debian/changelog ===
kblayout-status (0.2-5) unstable; urgency=low

  * Fixes to use Garage builder

 -- Emil Biserov <biserov@gmail.com>  Fri, 22 Feb 2010 21:09:16 +0300

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Standards-Version: 3.7.2
 
 Package: kblayout-status
+Section: user/desktop
 Architecture: any
 Depends: ${shlibs:Depends}, libhildon1 (>=2.1.29), libosso1 (>=2.0), libhildondesktop1 (>=2.1.0), hildon-status-menu
 Description: Status Icon plugin to display current keyboard layout status

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR = $(CURDIR)/debian/kblayout-status

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) DESTDIR=$(DESTDIR) install

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
